Bug 222237 - Include apr_dbd_mysql.c in the apr-util package (licence changed)
Include apr_dbd_mysql.c in the apr-util package (licence changed)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: apr-util (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks: 192922
  Show dependency treegraph
 
Reported: 2007-01-10 18:57 EST by Bojan Smojver
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.2.8-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-28 07:59:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jorton: fedora_requires_release_note+


Attachments (Terms of Use)
Spec patch (1.32 KB, patch)
2007-01-10 18:57 EST, Bojan Smojver
no flags Details | Diff
build-outputs.mk patch (2.37 KB, patch)
2007-01-10 18:58 EST, Bojan Smojver
no flags Details | Diff
Spec patch (with correct release number) (1.48 KB, patch)
2007-01-10 19:05 EST, Bojan Smojver
no flags Details | Diff
Spec patch (take 3) (1.69 KB, patch)
2007-01-10 20:02 EST, Bojan Smojver
no flags Details | Diff

  None (edit)
Description Bojan Smojver 2007-01-10 18:57:43 EST
Description of problem:
The MySQL DBD driver has been dual licensed, so there are no issues with
distribution of this software together with APU. ASF doesn't distribute the
software - it can be downloaded here:

http://apache.webthing.com/svn/apache/apr/apr_dbd_mysql.c


Version-Release number of selected component (if applicable):
1.2.8-1.fc6

How reproducible:
N/A

Steps to Reproduce:
1. N/A

  
Actual results:
N/A

Expected results:
N/A

Additional info:
See attached patches.
Comment 1 Bojan Smojver 2007-01-10 18:57:43 EST
Created attachment 145297 [details]
Spec patch
Comment 2 Bojan Smojver 2007-01-10 18:58:54 EST
Created attachment 145298 [details]
build-outputs.mk patch

This should be plonked into SOURCES, of course.
Comment 3 Bojan Smojver 2007-01-10 19:05:37 EST
Created attachment 145299 [details]
Spec patch (with correct release number)

Don't you hate it when you forget to bump up the release number? :-)
Comment 4 Bojan Smojver 2007-01-10 20:02:35 EST
Created attachment 145301 [details]
Spec patch (take 3)

Add mysql-devel to build requirements.
Comment 5 Joe Orton 2007-01-11 08:15:37 EST
Thanks!  But I really want to get the DSO-seperation before doing this to avoid
being an even bigger dep sink.
Comment 6 Bojan Smojver 2007-01-11 17:02:57 EST
No worries. As long it's in the queue, I'm happy.
Comment 7 Joe Orton 2007-02-28 07:58:34 EST
Again, thanks a lot for your work on this!  This is added in -4, with the MySQL
driver in a -mysql subpackage to isolate the dependencies.

Comment 8 Karsten Wade 2007-04-04 00:04:18 EDT
Added to the release notes beat:

http://fedoraproject.org/wiki/Docs/Beats/WebServers

... so will appear in the F7 test4 release notes.  Thanks for contribution.

Note You need to log in before you can comment on or make changes to this bug.